
Redmine - Patch #1685

Bazaar repository browsing

2008-07-27 07:28 - Dmitry Shaposhnik

Status: Closed Start date: 2008-07-27

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8   

Description

When using Redmine with shared bzr repository (only .bzr dir) repository browser doesn't show any files.

It is caused by using 'bzr ls' command without arguments. To show last revision 'bzr ls' should be called with '-r last:1' or '-r -1' param

(they are equal).

So here is the patch:

Index: lib/redmine/scm/adapters/bazaar_adapter.rb

===================================================================

--- lib/redmine/scm/adapters/bazaar_adapter.rb    (revision 1699)

+++ lib/redmine/scm/adapters/bazaar_adapter.rb    (working copy)

@@ -50,7 +50,8 @@

           path ||= ''

           entries = Entries.new

           cmd = "#{BZR_BIN} ls -v --show-ids" 

-          cmd << " -r#{identifier.to_i}" if identifier && identifier.to_i > 0

+          identifier=-1 unless identifier && identifier.to_i > 0 

+          cmd << " -r#{identifier.to_i}" 

           cmd << " #{target(path)}" 

           shellout(cmd) do |io|

             prefix = "#{url}/#{path}".gsub('\\', '/')

Associated revisions

Revision 1994 - 2008-11-08 16:28 - Jean-Philippe Lang

Fixed Bazaar shared repository browsing (#2101, patch #1685 by Dmitry Shaposhnik).

History

#1 - 2008-11-08 16:29 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

Committed in r1994. Thanks for the fix.
